Skip to main content

List recent events

GET 

/api/v1/EventMessage

Returns events from the event log, newest first. Use skip and take to page through them.

Permission required: Admin, App, or Auditing and Reporting role.

Values for eventType: 0 = Unspecified, 1 = Status, 2 = ServiceStart, 3 = PasswordRotation, 4 = HostScan, 5 = ADSync, 6 = ActivitySession, 7 = Manage, 8 = Unmanage, 9 = Verify, 10 = RotateServices, 11 = CommandRestrictionAction.

Values for status: 0 = Information, 1 = Warning, 2 = Error.

Values for serviceType: 0 = Unspecified, 1 = WebUi, 2 = ActionService, 3 = ProxyService, 4 = SchedulerService, 5 = EmailService, 6 = ADSyncService, 7 = RagGateway, 8 = RagPortal.

Request​

Responses​

The body is an array of events.